Name:          cssparser
Version:       0.9.18
Release:       %mkrel 4
Group:         Development/Java
Summary:       CSS Parser
License:       LGPLv2+ 
URL:           http://cssparser.sourceforge.net/
# sh ./fetch-cssparser.sh <VERSION>
Source0:       cssparser-%{version}.tar.xz
Source1:       fetch-cssparser.sh

BuildArch:     noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: maven-local
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin) >= 2.6-3
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.w3c.css:sac) >= 1.3-6
Requires:      java-headless

%description
A CSS parser which implements SAC (the Simple API for CSS).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 
%pom_remove_plugin :maven-checkstyle-plugin
# unused artefact
%pom_remove_plugin :maven-source-plugin

# SACParserCSS3Test.unicodeInputByteStreamDefaultEncoding:2981
# expected:<...:before { content: "[? - ?]" }> but was:<...:before { content: "[? - ?]" }>
rm src/test/java/com/steadystate/css/parser/SACParserCSS3Test.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc doc/license.html doc/readme.html
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.9.18-4.mga6
+ Revision: 982155
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0.9.18-3.mga6
+ Revision: 975741
- First rebuild of the java stack
- sync package cssparser with fedora
- imported package cssparser

* Thu Jan 01 2015 pterjan <pterjan> 0.9.14-1.mga5
+ Revision: 807902
- Sync with Fedora 21 (update to 0.9.14)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-4.mga5
+ Revision: 739813
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.9.10-2.mga4
+ Revision: 544834
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 0.9.10-1.mga4
+ Revision: 500338
- New version

* Sun Sep 29 2013 dmorgan <dmorgan> 0.9.9-1.mga4
+ Revision: 489300
- New version

* Fri Jan 11 2013 umeabot <umeabot> 0.9.5-2.mga3
+ Revision: 348382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 14 2011 dmorgan <dmorgan> 0.9.5-1.mga2
+ Revision: 133042
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package cssparser


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 gil cattaneo <puntogil@libero.it> 0.9.18-1
- update to 0.9.18

* Wed Jun 17 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9.15-4
- Fix FTBFS - remove checkstyle plugin.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9.15-2
- Really update to 0.9.15 - bug in the fetch script.

* Mon May 11 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9.15-1
- Update to upstream 0.9.15 version.

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 0.9.14-3
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.14-1
- Update to upstream 0.9.14.

* Fri Feb 21 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.13-1
- Update to latest upstream release.

* Thu Jan 16 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.12-1
- Update to latest upstream release.

* Tue Jan 7 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.11-1
- Update to latest upstream release.

* Mon Sep 30 2013 Alexander Kurtakov <akurtako@redhat.com> 0.9.10-1
- Update to latest upstream release.

* Wed Sep 11 2013 gil cattaneo <puntogil@libero.it> 0.9.9-2
- rebuilt with replacer plugin support
- minor changes to adapt to current guideline

* Wed Sep 11 2013 Alexander Kurtakov <akurtako@redhat.com> 0.9.9-1
- Update to latest upstream release.
- Properly state license as LGPLv2+.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Alexander Kurtakov <akurtako@redhat.com> 0.9.7-1
- Update to new upstream release.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Alexander Kurtakov <akurtako@redhat.com> 0.9.6-1
- Update to latest upstream release.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-3
- Remove versioned javadoc.

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-2
- Adapt to current guidelines.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-1
- Initial package.
